function vrep = obtainVrep2d(choice, param)
% This is a subfunction.
%
% See also: obtainVRep, obtainHRep

% The elk-library: convex geometry applied to crystallization modeling.
%   Copyright (C) 2012 Alexander Reinhold
%
% This program is free software: you can redistribute it and/or modify it 
%   under the terms of the GNU General Public License as published by the 
%   Free Software Foundation, either version 3 of the License, or (at your 
%   option) any later version.
%
% This program is distributed in the hope that it will be useful, but 
%   WITHOUT ANY WARRANTY; without even the implied warranty of 
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
%   General Public License for more details.
%
% You should have received a copy of the GNU General Public License along 
%   with this program.  If not, see <http://www.gnu.org/licenses/>.

switch choice
    % common bodies
    case 'square'
        vrep.V = [0 0;0 1;1 0;1 1];
    case 'circle'
        if isempty(param), param=20;end
        vrep = obtainCircle(param);
    case 'polygon'
        % polygons are just bad approximation of circles:
        vrep = obtainVrep2d('circle', param);
    
    % special bodies   
    case '4-polygon-par'
        vrep.V = [0 0;cos(pi/6) sin(pi/6);cos(pi/6) -sin(pi/6);2*cos(pi/6) 0];
        
    % recursion into lower dimension
    otherwise
        vrep = obtainVrep1d(choice);
        % extend dimension
        vrep.V(:,2) = 0;
end
